Bug 615928 - balloon service can not be started in win7 guest with administrator member
balloon service can not be started in win7 guest with administrator member
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: virtio-win (Show other bugs)
6.0
All Linux
low Severity medium
: beta
: ---
Assigned To: Vadim Rozenfeld
Virtualization Bugs
:
Depends On:
Blocks: 580953
  Show dependency treegraph
 
Reported: 2010-07-19 05:43 EDT by Shirley Zhou
Modified: 2015-03-04 19:51 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The balloon service on Windows 7 guests can only be started by the "Administrator" user.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-21 16:58:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Shirley Zhou 2010-07-19 05:43:20 EDT
Description of problem:
Balloon service can not be started in win7 guest with user(created during installation guest), and this user included in Administrator group.

Version-Release number of selected component (if applicable):
virtio-win-1.1.8-0

How reproducible:
always

Steps to Reproduce:
1.Run win7 guest
/usr/libexec/qemu-kvm -m 2G -smp 2 -cpu qemu64,+x2apic -usbdevice tablet -drive file=/root/win7-32.qcow2.el5,if=none,id=drive-virtio0,boot=on,werror=stop,rerror=stop,cache=none -device virtio-blk-pci,drive=drive-virtio0,id=virtio-blk-pci0 -netdev tap,id=hostnet0,script=/etc/qemu-ifup -device virtio-net-pci,netdev=hostnet0,mac=02:00:16:3F:45:1f,bus=pci.0 -uuid 1234127c-1233-4e67-95da-8dd0a8891cc4 -name win7 -qmp tcp:0:4444,server,nowait -boot c -monitor stdio -boot c -device virtio-balloon-pci,bus=pci.0 -vnc :2
2.Login using user your created during install this guest
3.Install virtio balloon driver
4.Reboot guest
5.Install balloon service (under driver sub directory) using:
blnsrv.exe -i 
  
Actual results:
Balloon service can not be started, error prompts:
OpenSCManager failed, error code=5


Expected results:
This service should be started

Additional info:
1.This service can be started using "administrator" user.
2.And after start balloon service using administrator, then switch to default user in step2, the service can be restart, stop or pause by default user.
3.For winxp guest, balloon service can be started by user created during installation.
Comment 2 RHEL Product and Program Management 2010-07-19 06:17:48 EDT
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **
Comment 3 Dor Laor 2010-07-21 05:23:44 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Balloon service can not be started in win7 guest with user(created during installation guest), and this user included in Administrator group. Please run the service under the administrator user only.
Comment 6 Ryan Lerch 2010-09-28 00:25:20 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-Balloon service can not be started in win7 guest with user(created during installation guest), and this user included in Administrator group. Please run the service under the administrator user only.+The balloon service on Windows 7 guests can only be started by the "Administrator" user.

Note You need to log in before you can comment on or make changes to this bug.